
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("discretealarms")]
    public class Discretealarms
    {

        [Key]
        [Column("ID")]
        public Guid id { get; set; }

        [Column("Alarmtext")]
        public string alarmtext { get; set; }

        [Column("FieldInfo")]
        public string fieldinfo { get; set; }

        [Column("Triggertag")]
        public string triggertag { get; set; }

        [Column("Triggerbit")]
        public string triggerbit { get; set; }

        [Column("plc_value")]
        public string plcValue { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }
    }
}

